// Package sql2go...
//
// Description : sql2go...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-10-25 5:02 下午
package sql2go

import (
	"fmt"
	"testing"
)

func TestParseSql(t *testing.T) {
	sql := "CREATE TABLE `app` (\n  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',\n  `code` varchar(128) NOT NULL DEFAULT '' COMMENT '分配的app_code',\n  `secret` varchar(64) NOT NULL DEFAULT '' COMMENT '分配的私钥',\n  `status` int(10) unsigned NOT NULL DEFAULT 0 COMMENT '当前状态 o - 初始化 1- 使用中 2 - 禁用 3 - 删除',\n  `description` varchar(256) NOT NULL DEFAULT '' COMMENT '描述信息',\n  `apply_user_name` varchar(64) NOT NULL DEFAULT '' COMMENT '申请人姓名',\n  `apply_user_contact` varchar(128) NOT NULL DEFAULT '' COMMENT '申请人联系方式',\n  `create_user_id` varchar(128) NOT NULL DEFAULT '' COMMENT '创建人ID',\n  `modify_user_id` varchar(128) NOT NULL DEFAULT '' COMMENT '修改人ID',\n  PRIMARY KEY (`id`),\n  UNIQUE KEY `uniq_code` (`code`)\n) ENGINE=InnoDB AUTO_INCREMENT=100001 DEFAULT CHARSET=utf8mb4 COMMENT='APP信息表'"
	fmt.Println(ParseCreateTableSql(sql))
}
