// Package define...
//
// Description : define...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-10-19 12:36 下午
package define

// ServerNode 服务器节点的定义
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 12:36 下午 2021/10/19
type ServerNode struct {
	HostIP        string  `json:"host_ip"`        // 机器IP
	Port          int     `json:"port"`           // 机器端口
	Status        int     `json:"status"`         // 机器状态
	Weight        float64 `json:"weight"`         // 机器权重
	CurrentWeight float64 `json:"current_weight"` // 当前权重
}
